#ifndef _PLAY_GIF_
#define _PLAY_GIF_

#define FILESYSTEM LittleFS

//	GIF X,Y Offset Size 
#define GIF_X_Y_OFFSET_SIZE	2
//	GIF Flash Page Buffer FLASH X,Y IDX
#define GIF_FLASH_X_OFFSET_IDX  3
#define GIF_FLASH_Y_OFFSET_IDX  4

#define GIF_END_NEXT_PAGE_OK_VALUE	1	//	GIF 파일 재생 후 다음페이지로 전환 상수 값 

#define SEMAPHORE_DELAY_TICK 100	//	Task 실행 최소 주기

/* GIF 출력 관련 함수 */
void ShowGIF(char *name);
void ShowGIF(uint8_t* _gif_data, int _data_count);
void ShowGIF(int pageCount);
void ShowGIFBackGround(int pageCount);
void * GIFOpenFile(const char *fname, int32_t *pSize);
void GIFCloseFile(void *pHandle);
int32_t GIFReadFile(GIFFILE *pFile, uint8_t *pBuf, int32_t iLen);
int32_t GIFSeekFile(GIFFILE *pFile, int32_t iPosition);
void GIFDraw(GIFDRAW *pDraw);
void gifPlayFrame(void *param);	//	play Frame 

#define GIF_DATA_LENGTH_DATA_TEST	6784

const unsigned char gif_data_test[6784] PROGMEM = {
	0x47, 0x49, 0x46, 0x38, 0x39, 0x61, 0x20, 0x00, 0x20, 0x00, 0xF7, 0x00,
	0x00, 0x92, 0x48, 0x05, 0x2D, 0x0B, 0x03, 0x70, 0x00, 0xD5, 0xB0, 0x54,
	0x02, 0x2A, 0x5D, 0x4F, 0x03, 0x72, 0x26, 0x00, 0x8C, 0x2C, 0x7B, 0x00,
	0xE8, 0x05, 0x36, 0x8D, 0x2C, 0x2A, 0x02, 0x09, 0x09, 0x29, 0x70, 0x02,
	0x6B, 0xB5, 0x00, 0xAD, 0x00, 0x51, 0xCF, 0x4D, 0x00, 0x90, 0xEB, 0xEB,
	0x00, 0x28, 0x01, 0x2B, 0x90, 0x04, 0x03, 0x00, 0x46, 0xB1, 0x04, 0x2A,
	0x0B, 0x90, 0x00, 0x89, 0x4D, 0x27, 0x03, 0xD3, 0x00, 0x00, 0x71, 0x70,
	0x01, 0x6F, 0x31, 0x02, 0x4A, 0x06, 0x04, 0xC7, 0x00, 0xBB, 0xEC, 0x73,
	0x00, 0xCA, 0xCA, 0x00, 0x29, 0x05, 0x4A, 0xB9, 0xB9, 0x00, 0xCF, 0x6F,
	0x2D, 0x4F, 0x02, 0x4D, 0xA9, 0xA9, 0x00, 0x48, 0x04, 0x76, 0x02, 0x49,
	0x13, 0x8B, 0x2F, 0x06, 0x02, 0x2A, 0x70, 0x84, 0x04, 0x7A, 0x70, 0x02,
	0x02, 0x58, 0x00, 0xAB, 0x9A, 0x98, 0x01, 0x8E, 0x67, 0x0E, 0x49, 0x0B,
	0x2E, 0x15, 0x03, 0x00, 0x36, 0x01, 0x6E, 0xC9, 0x62, 0x00, 0x02, 0x03,
	0x16, 0x09, 0x43, 0x94, 0x14, 0x14, 0x00, 0x04, 0x24, 0x51, 0x00, 0x5A,
	0xE6, 0x05, 0x15, 0x42, 0x6A, 0x88, 0x10, 0x64, 0x00, 0xBD, 0x8A, 0x0B,
	0x2B, 0x14, 0x00, 0x16, 0x01, 0x13, 0x03, 0x00, 0x63, 0xEE, 0xA1, 0x00,
	0x99, 0x20, 0x66, 0x27, 0x4E, 0x55, 0x1E, 0x02, 0x60, 0x1D, 0xA6, 0x38,
	0x07, 0x07, 0x64, 0xDB, 0xE8, 0x6B, 0x02, 0x50, 0x34, 0x7D, 0x88, 0x84,
	0x19, 0xEF, 0xF7, 0x02, 0xE0, 0x66, 0x25, 0xD0, 0xD6, 0x04, 0xC5, 0x35,
	0x0F, 0x0C, 0xAC, 0x33, 0x89, 0x94, 0x03, 0xBD, 0xC6, 0x02, 0x1A, 0x19,
	0x62, 0x6D, 0x32, 0xD1, 0x9C, 0xA5, 0x03, 0xEE, 0x09, 0x00, 0xDA, 0xDE,
	0x09, 0xBD, 0x1B, 0x23, 0x08, 0x00, 0x00, 0x00, 0x00, 0x08, 0x4D, 0x34,
	0xA8, 0xE4, 0x00, 0x09, 0xCA, 0x16, 0xC1, 0x09, 0x00, 0x0A, 0x08, 0x08,
	0x00, 0x00, 0x08, 0x00, 0xB5, 0xB9, 0x09, 0x01, 0x9D, 0x31, 0x00, 0xB5,
	0x39, 0xF6, 0x7B, 0x00, 0x00, 0x63, 0xF7, 0xF7, 0xF7, 0x00, 0x00, 0x08,
	0x0F, 0x09, 0x60, 0xF4, 0x13, 0xB3, 0x43, 0xF3, 0x80, 0x09, 0xF7, 0x08,
	0x00, 0x00, 0x94, 0x1E, 0xE7, 0xE7, 0x08, 0x00, 0x00, 0x00, 0x00, 0xA9,
	0x37, 0xD9, 0x6A, 0x00, 0x31, 0x45, 0x0F, 0x29, 0x4B, 0x80, 0xC8, 0x66,
	0x14, 0xB7, 0x67, 0x40, 0x59, 0x65, 0x2F, 0x04, 0x13, 0x1A, 0xA9, 0x11,
	0x24, 0xAD, 0xB5, 0x02, 0x4E, 0x4B, 0x05, 0x69, 0x06, 0x53, 0xDA, 0xDA,
	0x00, 0x6F, 0x51, 0x0E, 0xD8, 0x65, 0x14, 0x9B, 0x94, 0x13, 0xB1, 0x00,
	0x00, 0x87, 0x86, 0x00, 0x36, 0x81, 0x32, 0xF4, 0x2E, 0x00, 0x8C, 0x52,
	0x25, 0x10, 0x28, 0x29, 0x0A, 0x4F, 0x32, 0x2C, 0x30, 0x49, 0x6E, 0x27,
	0x28, 0x6D, 0x09, 0x2E, 0x31, 0x25, 0x72, 0x33, 0x61, 0x17, 0xB0, 0x2C,
	0x47, 0x90, 0x69, 0x2D, 0x8D, 0x25, 0x65, 0x67, 0x66, 0x63, 0x52, 0x6D,
	0x0C, 0x75, 0x1E, 0x4F, 0x64, 0x12, 0x7B, 0x6C, 0x89, 0x54, 0x8B, 0x15,
	0x4A, 0x96, 0x50, 0x50, 0x57, 0x45, 0x7C, 0xE3, 0x50, 0x24, 0xB0, 0x36,
	0x3B, 0xC4, 0x27, 0x42, 0xC8, 0x77, 0x1B, 0x9B, 0x89, 0x18, 0xA2, 0x19,
	0x48, 0xAA, 0x9F, 0x38, 0x94, 0x92, 0x46, 0x97, 0x87, 0x34, 0xCF, 0x54,
	0x0C, 0x50, 0x2A, 0x73, 0x4D, 0x53, 0x70, 0x73, 0x73, 0x52, 0x95, 0x29,
	0x53, 0xB0, 0x4F, 0x4C, 0x70, 0x4B, 0x6D, 0x46, 0x4E, 0x51, 0x28, 0x2A,
	0x2B, 0x91, 0x35, 0x32, 0x6F, 0x4C, 0x2C, 0xE3, 0x55, 0x13, 0x4B, 0x2B,
	0x50, 0x17, 0x15, 0x1A, 0xC0, 0x76, 0x04, 0x0B, 0x08, 0x0B, 0x6C, 0x2C,
	0x72, 0x75, 0x56, 0x49, 0x2C, 0x45, 0x39, 0x98, 0x87, 0x05, 0x8E, 0x72,
	0x4A, 0x4D, 0x2D, 0x27, 0xD6, 0x73, 0x1C, 0xB0, 0x6D, 0x11, 0xC6, 0xBC,
	0x00, 0xB6, 0xAD, 0x00, 0x9D, 0x01, 0xAD, 0x84, 0x29, 0xA5, 0xCA, 0x38,
	0x38, 0xB5, 0x06, 0xC4, 0xD9, 0x8C, 0x18, 0x32, 0xAC, 0x52, 0x30, 0x58,
	0xEF, 0xC2, 0x83, 0x26, 0x63, 0x3E, 0xBF, 0x64, 0x2D, 0x7D, 0xB0, 0xBE,
	0xAD, 0xDC, 0x74, 0x00, 0xDE, 0xE7, 0x06, 0x6F, 0x6F, 0x2C, 0x9F, 0x36,
	0x5C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x21, 0xFF, 0x0B, 0x4E, 0x45, 0x54, 0x53, 0x43, 0x41, 0x50, 0x45,
	0x32, 0x2E, 0x30, 0x03, 0x01, 0x00, 0x00, 0x00, 0x21, 0xFF, 0x0B, 0x58,
	0x4D, 0x50, 0x20, 0x44, 0x61, 0x74, 0x61, 0x58, 0x4D, 0x50, 0xEE, 0x3F,
	0x78, 0x70, 0x61, 0x63, 0x6B, 0x65, 0x74, 0x20, 0x62, 0x65, 0x67, 0x69,
	0x6E, 0x3D, 0x22, 0xEF, 0xBB, 0xBF, 0x22, 0x20, 0x69, 0x64, 0x3D, 0xD5,
	0xD4, 0xD3, 0xD2, 0xD1, 0xD0, 0xCF, 0xCE, 0xCD, 0xCC, 0xCB, 0xCA, 0xC9,
	0xC8, 0xC7, 0xC6, 0xC5, 0xC4, 0xC3, 0xC2, 0xC1, 0xC0, 0xBF, 0xBE, 0xBD,
	0xBC, 0xBB, 0xBA, 0xB9, 0xB8, 0xB7, 0xB6, 0xB5, 0xB4, 0xB3, 0xB2, 0xB1,
	0xB0, 0xAF, 0xAE, 0xAD, 0xAC, 0xAB, 0xAA, 0xA9, 0xA8, 0xA7, 0xA6, 0xA5,
	0xA4, 0xA3, 0xA2, 0xA1, 0xA0, 0x9F, 0x9E, 0x9D, 0x9C, 0x9B, 0x9A, 0x99,
	0x98, 0x97, 0x96, 0x95, 0x94, 0x93, 0x92, 0x91, 0x90, 0x8F, 0x8E, 0x8D,
	0x8C, 0x8B, 0x8A, 0x89, 0x88, 0x87, 0x86, 0x85, 0x84, 0x83, 0x82, 0x81,
	0x80, 0x7F, 0x7E, 0x7D, 0x7C, 0x7B, 0x7A, 0x79, 0x78, 0x77, 0x76, 0x75,
	0x74, 0x73, 0x72, 0x71, 0x70, 0x6F, 0x6E, 0x6D, 0x6C, 0x6B, 0x6A, 0x69,
	0x68, 0x67, 0x66, 0x65, 0x64, 0x63, 0x62, 0x61, 0x60, 0x5F, 0x5E, 0x5D,
	0x5C, 0x5B, 0x5A, 0x59, 0x58, 0x57, 0x56, 0x55, 0x54, 0x53, 0x52, 0x51,
	0x50, 0x4F, 0x4E, 0x4D, 0x4C, 0x4B, 0x4A, 0x49, 0x48, 0x47, 0x46, 0x45,
	0x44, 0x43, 0x42, 0x41, 0x40, 0x3F, 0x3E, 0x3D, 0x3C, 0x3B, 0x3A, 0x39,
	0x38, 0x37, 0x36, 0x35, 0x34, 0x33, 0x32, 0x31, 0x30, 0x2F, 0x2E, 0x2D,
	0x2C, 0x2B, 0x2A, 0x29, 0x28, 0x27, 0x26, 0x25, 0x24, 0x23, 0x22, 0x21,
	0x20, 0x1F, 0x1E, 0x1D, 0x1C, 0x1B, 0x1A, 0x19, 0x18, 0x17, 0x16, 0x15,
	0x14, 0x13, 0x12, 0x11, 0x10, 0x0F, 0x0E, 0x0D, 0x0C, 0x0B, 0x0A, 0x09,
	0x08, 0x07, 0x06, 0x05, 0x04, 0x03, 0x02, 0x01, 0x00, 0x00, 0x21, 0xF9,
	0x04, 0x05, 0x03, 0x00, 0x67, 0x00, 0x2C, 0x00, 0x00, 0x00, 0x00, 0x20,
	0x00, 0x20, 0x00, 0x00, 0x07, 0xFF, 0x80, 0x66, 0x82, 0x83, 0x84, 0x84,
	0x19, 0x37, 0x37, 0x27, 0x2C, 0x85, 0x8C, 0x8D, 0x8C, 0x51, 0x11, 0x54,
	0x63, 0x54, 0x54, 0x4E, 0x4E, 0x50, 0x19, 0x8E, 0x9A, 0x84, 0x2C, 0x16,
	0x54, 0x11, 0x8B, 0x82, 0x27, 0x47, 0x4E, 0x27, 0x9B, 0x8E, 0x10, 0x82,
	0x37, 0xA1, 0x85, 0xA0, 0x66, 0x15, 0x01, 0xA7, 0x66, 0x56, 0x26, 0x1A,
	0x1A, 0x38, 0x66, 0x14, 0x1A, 0x14, 0xA9, 0x82, 0x15, 0x41, 0x45, 0x82,
	0x03, 0x5C, 0x2E, 0x15, 0x9A, 0x10, 0x0C, 0x0C, 0x0B, 0x19, 0x54, 0xB1,
	0x20, 0x0C, 0x1A, 0x20, 0x83, 0x18, 0x8B, 0x50, 0x11, 0x15, 0xC3, 0x00,
	0x8D, 0xC8, 0x3B, 0x56, 0x66, 0x11, 0x16, 0x84, 0x26, 0x0C, 0xB8, 0x84,
	0xE0, 0x82, 0x18, 0x62, 0x24, 0x8C, 0x3B, 0x0C, 0x83, 0x51, 0xB1, 0x84,
	0xBD, 0x86, 0x4E, 0x83, 0x24, 0x62, 0x99, 0x83, 0x2B, 0x55, 0x2B, 0xB2,
	0x85, 0x01, 0x63, 0x08, 0x7D, 0x18, 0x20, 0xCE, 0x9D, 0x3F, 0x7A, 0x84,
	0x48, 0x04, 0x21, 0xB4, 0x83, 0x82, 0x99, 0x0E, 0x0E, 0x6C, 0x38, 0x38,
	0x98, 0x4F, 0x50, 0x00, 0x2E, 0xAC, 0x76, 0x98, 0x40, 0x21, 0x40, 0xE2,
	0x92, 0x83, 0x83, 0x2E, 0x3C, 0xB9, 0x20, 0x26, 0x9E, 0xA0, 0x0E, 0x36,
	0x3A, 0x80, 0x2C, 0x14, 0x23, 0x44, 0x88, 0x95, 0x30, 0x07, 0x89, 0x70,
	0xB0, 0xA3, 0x5F, 0x4C, 0x42, 0x03, 0x54, 0x64, 0x11, 0x24, 0x71, 0xC7,
	0x8E, 0x9B, 0x83, 0x00, 0x6C, 0xA8, 0xE0, 0xA5, 0x87, 0x82, 0x03, 0x0A,
	0x70, 0x48, 0x03, 0x4A, 0x82, 0xCB, 0x3A, 0x23, 0x4D, 0x3A, 0x08, 0x00,
	0x3A, 0xE8, 0x87, 0x3A, 0x41, 0x59, 0x3C, 0x2C, 0x99, 0x3A, 0xA8, 0x84,
	0x02, 0x98, 0x18, 0x8C, 0x61, 0xF5, 0x70, 0xF4, 0xAB, 0x19, 0x1A, 0x3A,
	0x4A, 0x50, 0x35, 0xC3, 0xE1, 0x25, 0x13, 0x21, 0x82, 0xB2, 0x24, 0x34,
	0x58, 0x9B, 0x80, 0xC8, 0x05, 0x33, 0x0E, 0x98, 0x78, 0x03, 0x82, 0xE0,
	0x66, 0x81, 0x09, 0x66, 0x42, 0x3C, 0x11, 0x24, 0x85, 0x09, 0x0A, 0x33,
	0x60, 0x64, 0xDC, 0xD4, 0xC2, 0xE3, 0x82, 0x97, 0xBB, 0x27, 0x05, 0x4C,
	0x91, 0x60, 0x16, 0x66, 0x81, 0x1A, 0x44, 0x52, 0x14, 0xA2, 0xA1, 0x92,
	0x86, 0x08, 0x95, 0x82, 0x72, 0x34, 0x1A, 0xA2, 0x24, 0xC9, 0x85, 0xD3,
	0x66, 0xAE, 0x40, 0x6E, 0xD4, 0x82, 0x89, 0x8D, 0x41, 0x48, 0x46, 0x30,
	0xEA, 0xE1, 0xE1, 0xC9, 0x83, 0x32, 0x21, 0xB0, 0x6C, 0x2A, 0x31, 0xE3,
	0x05, 0x21, 0x03, 0x06, 0x4E, 0x01, 0xDF, 0x24, 0x05, 0x88, 0x04, 0x42,
	0x13, 0xB6, 0xF8, 0x10, 0x44, 0xA3, 0x2F, 0xA1, 0x11, 0x5B, 0x64, 0x6F,
	0x92, 0xA1, 0x43, 0x82, 0x94, 0x41, 0x3C, 0x94, 0x2B, 0x00, 0x32, 0x77,
	0x90, 0x8F, 0x30, 0x05, 0xFC, 0x2D, 0x99, 0x31, 0x03, 0x06, 0x0D, 0x33,
	0x52, 0x08, 0x00, 0x46, 0xF0, 0xC5, 0x0C, 0x96, 0x11, 0x64, 0xB6, 0x84,
	0x3F, 0xF8, 0x02, 0x06, 0x90, 0x2E, 0x60, 0xBA, 0xCC, 0xB8, 0x6E, 0x60,
	0x4B, 0x98, 0x2D, 0x48, 0x18, 0x00, 0x58, 0x4C, 0x2F, 0xD0, 0x40, 0xC3,
	0x75, 0x82, 0x4C, 0xA0, 0xE0, 0x29, 0x81, 0x00, 0x00, 0x21, 0xF9, 0x04,
	0x05, 0x03, 0x00, 0x01, 0x00, 0x2C, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00,
	0x20, 0x00, 0x00, 0x07, 0x95, 0x80, 0x01, 0x82, 0x83, 0x84, 0x85, 0x86,
	0x87, 0x88, 0x89, 0x8A, 0x8B, 0x8C, 0x8D, 0x8E, 0x8F, 0x90, 0x8A, 0x66,
	0x66, 0x00, 0x91, 0x82, 0x56, 0x6F, 0x89, 0x93, 0x96, 0x01, 0x9B, 0x84,
	0x1A, 0x20, 0x9C, 0x84, 0x9E, 0x83, 0x14, 0x0C, 0xA2, 0x8A, 0x56, 0xA1,
	0xA8, 0xAC, 0x8B, 0x36, 0x28, 0x0A, 0x8B, 0x11, 0x16, 0x90, 0x22, 0x22,
	0x52, 0x8B, 0x27, 0x37, 0x82, 0x93, 0x09, 0xAD, 0x86, 0x66, 0x09, 0x29,
	0xBF, 0x8E, 0x14, 0x38, 0xC4, 0x85, 0x56, 0x66, 0xC8, 0xA3, 0xCB, 0xCC,
	0x86, 0x08, 0x34, 0x8E, 0x51, 0x15, 0x6B, 0x8C, 0x08, 0x33, 0x32, 0xD3,
	0x68, 0x6C, 0xCF, 0x82, 0x51, 0xDE, 0x89, 0x6D, 0x83, 0x2F, 0xAC, 0xA4,
	0x87, 0xD2, 0x96, 0xE7, 0x86, 0x6E, 0x84, 0x13, 0x3C, 0x86, 0x17, 0x69,
	0x85, 0xF0, 0x8B, 0x1D, 0xCE, 0x23, 0x67, 0x86, 0x70, 0x0F, 0x96, 0xF7,
	0x82, 0x58, 0xC2, 0x1C, 0x1A, 0x17, 0xCE, 0xDB, 0x3A, 0x62, 0x25, 0x9C,
	0x3D, 0x53, 0x93, 0xA3, 0x20, 0x32, 0x6D, 0x96, 0x02, 0x01, 0x00, 0x21,
	0xF9, 0x04, 0x05, 0x03, 0x00, 0x00, 0x00, 0x2C, 0x00, 0x00, 0x00, 0x00,
	0x20, 0x00, 0x20, 0x00, 0x00, 0x07, 0x97, 0x80, 0x00, 0x82, 0x83, 0x84,
	0x85, 0x86, 0x87, 0x88, 0x89, 0x8A, 0x8B, 0x8C, 0x8D, 0x8E, 0x8B, 0x37,
	0x8F, 0x92, 0x66, 0x92, 0x84, 0x66, 0x94, 0x95, 0x99, 0x9A, 0x8F, 0x51,
	0x9B, 0x8A, 0x0C, 0x72, 0x9E, 0x88, 0x56, 0x72, 0x20, 0xA2, 0x82, 0x0E,
	0x1D, 0x84, 0x56, 0x9D, 0xA7, 0x0E, 0x2D, 0x52, 0x88, 0x51, 0x47, 0x11,
	0x84, 0xAD, 0x8B, 0x52, 0xB1, 0x88, 0x19, 0x50, 0x01, 0x83, 0x97, 0xA7,
	0x00, 0x51, 0x2C, 0x8C, 0xC0, 0xC1, 0x85, 0x98, 0xC7, 0x89, 0x4B, 0x32,
	0xBA, 0xCA, 0x30, 0x40, 0x25, 0xCE, 0x88, 0x57, 0x57, 0x92, 0x4B, 0xD3,
	0x87, 0x51, 0x18, 0x1F, 0x41, 0xCA, 0x83, 0x19, 0x15, 0xC4, 0xDF, 0x8A,
	0x17, 0x8B, 0x58, 0x39, 0x58, 0xC1, 0x32, 0x84, 0x23, 0x06, 0xEA, 0x82,
	0x57, 0x6D, 0x31, 0x99, 0x0A, 0x84, 0x3E, 0x5A, 0xF0, 0x00, 0x31, 0x1E,
	0x4A, 0x71, 0xC8, 0xE6, 0x12, 0x19, 0x43, 0x94, 0xC0, 0x43, 0xBD, 0x64,
	0xE4, 0x12, 0x2A, 0x74, 0x34, 0x90, 0xDC, 0x84, 0x85, 0xDF, 0x68, 0x68,
	0x0A, 0x04, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00, 0x02, 0x00, 0x2C,
	0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x20, 0x00, 0x00, 0x07, 0x97, 0x80,
	0x02, 0x82, 0x83, 0x84, 0x85, 0x86, 0x87, 0x88, 0x89, 0x8A, 0x8B, 0x88,
	0x51, 0x8C, 0x8F, 0x90, 0x91, 0x92, 0x93, 0x94, 0x95, 0x96, 0x97, 0x02,
	0x56, 0x98, 0x87, 0x38, 0x9B, 0x89, 0x0B, 0x26, 0x9A, 0x9E, 0xA2, 0x56,
	0x20, 0xA1, 0x9E, 0x28, 0x22, 0x2F, 0x82, 0x38, 0x38, 0xA2, 0x97, 0x56,
	0x0A, 0x1D, 0xAF, 0x83, 0x2C, 0x27, 0x16, 0x96, 0x52, 0x52, 0x87, 0x01,
	0x6F, 0x27, 0x9E, 0x85, 0x2C, 0x01, 0x8E, 0x85, 0x74, 0x8B, 0x5F, 0x0A,
	0xBB, 0xC0, 0x83, 0x12, 0x08, 0xAB, 0xCB, 0x82, 0x08, 0xC9, 0x8D, 0x2C,
	0x2C, 0x95, 0xCA, 0x87, 0x2C, 0x00, 0x03, 0x75, 0x96, 0x58, 0x58, 0x86,
	0x57, 0x15, 0x18, 0xDE, 0x23, 0x39, 0x83, 0x57, 0x57, 0x92, 0xB4, 0x83,
	0x13, 0x06, 0x13, 0x82, 0x31, 0x17, 0x09, 0xEA, 0x89, 0x73, 0x87, 0x34,
	0x85, 0x64, 0xE7, 0x02, 0x31, 0x76, 0x4D, 0x93, 0x1C, 0x08, 0x70, 0xA3,
	0x28, 0x81, 0x12, 0x68, 0x08, 0x13, 0x2A, 0x5C, 0xC8, 0xB0, 0xA1, 0x22,
	0x33, 0x08, 0x65, 0x54, 0x0A, 0x04, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03,
	0x00, 0x02, 0x00, 0x2C, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x20, 0x00,
	0x00, 0x07, 0xC6, 0x80, 0x02, 0x82, 0x83, 0x84, 0x85, 0x86, 0x87, 0x88,
	0x87, 0x66, 0x89, 0x8C, 0x8D, 0x66, 0x66, 0x37, 0x8D, 0x92, 0x87, 0x10,
	0x8B, 0x89, 0x8F, 0x93, 0x99, 0x83, 0x51, 0x19, 0x9A, 0x9E, 0x01, 0x9E,
	0xA1, 0xA2, 0xA3, 0xA4, 0xA5, 0xA6, 0x84, 0x72, 0x72, 0x89, 0x52, 0x84,
	0x38, 0x9A, 0x66, 0x0A, 0x88, 0x0E, 0x10, 0x56, 0x56, 0x10, 0x0B, 0xAE,
	0xA7, 0x02, 0x2D, 0x2D, 0x0A, 0xB6, 0x2B, 0x38, 0x51, 0xBA, 0x38, 0x10,
	0xAE, 0xB5, 0x51, 0x2C, 0x15, 0x77, 0xA4, 0x52, 0xCD, 0xAC, 0x9B, 0x01,
	0x37, 0x15, 0x87, 0x15, 0x96, 0x88, 0x2F, 0x34, 0x32, 0x0A, 0xCF, 0x83,
	0x2C, 0x01, 0x2C, 0x87, 0x01, 0x69, 0x69, 0x8C, 0x12, 0x25, 0xDB, 0x85,
	0x51, 0xEA, 0xA5, 0x6E, 0x5F, 0xE9, 0x01, 0x01, 0x31, 0xA6, 0x58, 0x39,
	0x58, 0x83, 0x57, 0x15, 0x00, 0x3F, 0xA5, 0x58, 0x13, 0x23, 0x39, 0x57,
	0x62, 0xC4, 0x08, 0x08, 0xAA, 0x54, 0x8E, 0x02, 0xFF, 0x62, 0xF4, 0xE8,
	0x21, 0x4F, 0x80, 0x30, 0x44, 0x6D, 0x06, 0xBD, 0x60, 0x84, 0xE5, 0x4A,
	0x8F, 0x14, 0x92, 0x9E, 0x10, 0x72, 0x20, 0x48, 0x06, 0xA3, 0x14, 0x21,
	0x34, 0xD1, 0x40, 0xA7, 0xAB, 0x10, 0xA6, 0x92, 0x28, 0x05, 0x58, 0x4B,
	0x79, 0x32, 0xA5, 0x00, 0x03, 0x2B, 0x5D, 0x8A, 0x32, 0xE3, 0x43, 0xA6,
	0x00, 0x18, 0x31, 0x75, 0x8D, 0xCC, 0xD9, 0x28, 0x10, 0x00, 0x21, 0xF9,
	0x04, 0x05, 0x03, 0x00, 0x00, 0x00, 0x2C, 0x00, 0x00, 0x00, 0x00, 0x20,
	0x00, 0x20, 0x00, 0x00, 0x07, 0xAF, 0x80, 0x00, 0x82, 0x83, 0x84, 0x85,
	0x86, 0x87, 0x88, 0x88, 0x66, 0x19, 0x7A, 0x89, 0x8E, 0x8E, 0x66, 0x66,
	0x8F, 0x93, 0x87, 0x51, 0x94, 0x97, 0x98, 0x00, 0x91, 0x96, 0x99, 0x93,
	0x91, 0x68, 0x9D, 0xA1, 0xA2, 0x9D, 0x10, 0x1A, 0xA3, 0x90, 0x38, 0xA7,
	0x89, 0x91, 0xAA, 0xAA, 0x2B, 0x26, 0xAD, 0x83, 0x22, 0x22, 0x1D, 0x38,
	0x20, 0x0B, 0xB1, 0x82, 0x0A, 0x4B, 0x4B, 0x10, 0x2B, 0x20, 0x38, 0x01,
	0x27, 0xAA, 0x5F, 0x2F, 0x0A, 0x34, 0x38, 0x38, 0x10, 0x19, 0x27, 0x11,
	0xAA, 0xBC, 0x34, 0x6E, 0x52, 0x51, 0x2C, 0xCC, 0x19, 0xAB, 0x92, 0x8E,
	0x08, 0x25, 0x32, 0x6E, 0x82, 0x2C, 0x01, 0x01, 0x2C, 0xD8, 0x8F, 0x0A,
	0x6E, 0x6E, 0x39, 0x58, 0x57, 0x31, 0x15, 0x15, 0x8E, 0x78, 0x29, 0x93,
	0x39, 0x23, 0x23, 0x13, 0x09, 0x09, 0x15, 0x18, 0xB1, 0x23, 0x3E, 0xF6,
	0x17, 0x71, 0x31, 0x02, 0xE4, 0x12, 0x94, 0xE0, 0xC2, 0x05, 0x00, 0x51,
	0x38, 0x21, 0x3A, 0x08, 0x00, 0x45, 0xB6, 0x47, 0x4D, 0x32, 0xB1, 0x1A,
	0x38, 0x68, 0xA2, 0x02, 0x8A, 0x18, 0x33, 0x6A, 0xDC, 0x38, 0x11, 0x63,
	0x9E, 0x87, 0x1B, 0x31, 0xCD, 0xE8, 0x38, 0x50, 0x0A, 0xC9, 0x4B, 0x81,
	0x00, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00, 0x00, 0x00, 0x2C, 0x00,
	0x00, 0x00, 0x00, 0x20, 0x00, 0x20, 0x00, 0x00, 0x08, 0x9B, 0x00, 0x01,
	0x08, 0x1C, 0x48, 0x90, 0xA0, 0x99, 0x13, 0x05, 0x13, 0x2A, 0x5C, 0x38,
	0xD0, 0x8C, 0x99, 0x3B, 0x0C, 0x23, 0x4A, 0x34, 0x23, 0xB1, 0x62, 0x42,
	0x8A, 0x16, 0x33, 0x6A, 0x14, 0x88, 0x71, 0xA3, 0x45, 0x87, 0x1E, 0x3F,
	0xBA, 0x50, 0x08, 0x62, 0x47, 0xC8, 0x89, 0x20, 0x4F, 0x46, 0xEC, 0xA8,
	0xB2, 0xA5, 0xCB, 0x97, 0x30, 0x63, 0xB6, 0xE8, 0x20, 0x47, 0x0E, 0x84,
	0x98, 0x00, 0x68, 0xB4, 0x10, 0xB1, 0x00, 0x50, 0x05, 0x81, 0x80, 0x5C,
	0x96, 0x28, 0x11, 0x48, 0x84, 0x9C, 0x1B, 0x37, 0x70, 0x96, 0x50, 0xE3,
	0xE7, 0x0F, 0x09, 0x0C, 0x31, 0x15, 0xF0, 0xE9, 0xC3, 0xE3, 0xC2, 0x9E,
	0xA7, 0x2B, 0x59, 0x46, 0xF4, 0x21, 0x08, 0x0F, 0x1D, 0x0C, 0x24, 0x22,
	0xA6, 0x49, 0xA0, 0x31, 0xCD, 0x90, 0x8D, 0x0E, 0x14, 0xE0, 0x14, 0xD8,
	0x06, 0x40, 0xCA, 0xB5, 0x6E, 0x09, 0xD2, 0x80, 0x3B, 0xD0, 0x0D, 0xDD,
	0xBB, 0x78, 0xF3, 0xEA, 0x6D, 0xF9, 0x36, 0x63, 0x09, 0xAD, 0x09, 0x0B,
	0x00, 0x96, 0xF8, 0x17, 0xEF, 0x60, 0x8B, 0x01, 0x01, 0x00, 0x21, 0xF9,
	0x04, 0x05, 0x03, 0x00, 0x00, 0x00, 0x2C, 0x00, 0x00, 0x00, 0x00, 0x20,
	0x00, 0x20, 0x00, 0x00, 0x08, 0x7D, 0x00, 0x01, 0x08, 0x1C, 0x48, 0xB0,
	0xA0, 0x19, 0x16, 0x05, 0x13, 0x2A, 0x5C, 0x48, 0xD0, 0x4C, 0x06, 0x86,
	0x10, 0x23, 0x4A, 0x9C, 0x48, 0x30, 0x0A, 0xC5, 0x8B, 0x18, 0x33, 0x6A,
	0x4C, 0x68, 0x06, 0x04, 0x85, 0x8D, 0x02, 0xCD, 0x98, 0xE1, 0x38, 0x12,
	0x24, 0x00, 0x33, 0x03, 0x4C, 0xAA, 0x5C, 0xC9, 0xB2, 0xA5, 0xCB, 0x97,
	0x13, 0x03, 0xB4, 0x74, 0x23, 0x30, 0x51, 0x21, 0x44, 0x30, 0x85, 0x98,
	0x18, 0xF4, 0x06, 0x26, 0x00, 0x43, 0x6C, 0xA0, 0xC0, 0x24, 0x90, 0xC7,
	0x0E, 0xA1, 0x8B, 0x4C, 0x26, 0x1E, 0xA2, 0x28, 0xB2, 0x29, 0xC5, 0x1E,
	0x12, 0x45, 0x9E, 0x2C, 0xD9, 0x92, 0x43, 0x02, 0x9F, 0x0C, 0x65, 0x60,
	0x05, 0xA0, 0x60, 0xAB, 0xD7, 0xAF, 0x60, 0xC3, 0xC2, 0x04, 0x42, 0x83,
	0xEA, 0x42, 0xA9, 0x17, 0x9D, 0x42, 0x9C, 0x60, 0x56, 0x6C, 0x40, 0x00,
	0x21, 0xF9, 0x04, 0x05, 0x03, 0x00, 0x00, 0x00, 0x2C, 0x00, 0x00, 0x00,
	0x00, 0x20, 0x00, 0x20, 0x00, 0x00, 0x08, 0x8D, 0x00, 0x01, 0x08, 0x1C,
	0x48, 0xB0, 0x20, 0x00, 0x33, 0x08, 0x0D, 0x2A, 0x5C, 0xB8, 0x10, 0xE1,
	0x1D, 0x86, 0x10, 0x23, 0x4A, 0x9C, 0x28, 0xD0, 0x0C, 0xC5, 0x8B, 0x18,
	0x21, 0x9A, 0xC1, 0xB1, 0x23, 0xA3, 0x44, 0x84, 0x16, 0x3D, 0x8A, 0xBC,
	0x98, 0x70, 0x24, 0x43, 0x16, 0x15, 0x4C, 0xAA, 0x5C, 0xC9, 0xB2, 0xA5,
	0x4B, 0x82, 0x2B, 0x10, 0xBD, 0x7C, 0x01, 0x41, 0xCE, 0xA4, 0x47, 0x3F,
	0x4E, 0x40, 0xC4, 0x40, 0x71, 0xC9, 0x92, 0x45, 0x90, 0x1C, 0x1D, 0x89,
	0xE0, 0x32, 0x50, 0x23, 0x46, 0x91, 0xD6, 0x50, 0x54, 0xE0, 0x20, 0xA2,
	0x1F, 0x00, 0x8A, 0x28, 0x49, 0xDA, 0x33, 0xB1, 0x64, 0xC1, 0x2F, 0x03,
	0xFB, 0x00, 0x68, 0x93, 0xE4, 0x25, 0x00, 0x1E, 0x5E, 0x45, 0x82, 0x0C,
	0x3B, 0x24, 0x8D, 0x42, 0x1A, 0x61, 0x05, 0xBA, 0x49, 0xCB, 0xB6, 0xAD,
	0xDB, 0xB7, 0x0D, 0x5E, 0x84, 0x7C, 0x39, 0x96, 0xA1, 0xD5, 0x97, 0x06,
	0xEE, 0xBE, 0x1D, 0x18, 0x10, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00,
	0x02, 0x00, 0x2C, 0x00, 0x00, 0x01, 0x00, 0x1F, 0x00, 0x1F, 0x00, 0x00,
	0x08, 0xB7, 0x00, 0x05, 0x08, 0x1C, 0x48, 0xB0, 0xE0, 0x40, 0x33, 0x51,
	0x0C, 0x2A, 0x5C, 0xB8, 0xD0, 0xCC, 0x09, 0x86, 0x10, 0x23, 0x4A, 0x2C,
	0x68, 0xC6, 0xCC, 0x8E, 0x89, 0x18, 0x05, 0x54, 0x84, 0x90, 0xB1, 0xA3,
	0xC7, 0x8F, 0x20, 0x43, 0x36, 0x34, 0x23, 0x72, 0x64, 0x49, 0x85, 0x2C,
	0x5C, 0x64, 0xC4, 0xC1, 0xE2, 0xA4, 0x41, 0x10, 0x15, 0xE4, 0x14, 0x5A,
	0x71, 0xA5, 0xA4, 0x15, 0x1C, 0xA3, 0x0A, 0x81, 0xDA, 0xC4, 0x89, 0xCE,
	0x49, 0x53, 0x01, 0x00, 0x6D, 0x82, 0x74, 0x29, 0x12, 0x00, 0x88, 0x15,
	0x26, 0x8E, 0x42, 0x34, 0x49, 0x80, 0xA8, 0x4B, 0x00, 0x30, 0x44, 0xAC,
	0x28, 0x85, 0x61, 0x20, 0x4C, 0x9D, 0x04, 0x96, 0xA2, 0x93, 0x26, 0x06,
	0xC4, 0x8A, 0x10, 0x3B, 0x60, 0xCA, 0x24, 0xD0, 0x92, 0x8A, 0x50, 0x09,
	0x40, 0x56, 0x95, 0xF2, 0xC9, 0x13, 0x01, 0x43, 0x95, 0x34, 0x19, 0x0A,
	0xE5, 0x52, 0xC0, 0xA7, 0x51, 0x96, 0xDA, 0x7C, 0x22, 0x55, 0xD7, 0xCD,
	0xA7, 0x21, 0x02, 0x6B, 0xD6, 0x35, 0x35, 0x11, 0x6C, 0x41, 0x19, 0x22,
	0x7B, 0xC4, 0x20, 0x59, 0x77, 0xE0, 0x85, 0xC6, 0x90, 0x23, 0x83, 0x94,
	0xA0, 0x40, 0x72, 0x45, 0xC6, 0x92, 0x33, 0x47, 0xCC, 0x81, 0xB9, 0x2E,
	0xE7, 0xCE, 0x06, 0x03, 0x02, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00,
	0x00, 0x00, 0x2C, 0x01, 0x00, 0x01, 0x00, 0x1E, 0x00, 0x1F, 0x00, 0x00,
	0x08, 0xC3, 0x00, 0x01, 0x08, 0x1C, 0x48, 0xB0, 0xE0, 0x40, 0x33, 0x66,
	0x0C, 0x2A, 0x5C, 0xA8, 0x10, 0x21, 0x0B, 0x86, 0x0A, 0xA3, 0x0C, 0x94,
	0x68, 0x30, 0x00, 0x45, 0x88, 0x07, 0xAD, 0x60, 0xDC, 0x58, 0x10, 0x21,
	0xC7, 0x8F, 0x20, 0x43, 0x8A, 0x1C, 0x49, 0xB2, 0xA4, 0x49, 0x00, 0x56,
	0x58, 0x3C, 0xA4, 0x00, 0x11, 0x61, 0xC2, 0x8D, 0x18, 0x30, 0x08, 0x0C,
	0x90, 0xE0, 0x4A, 0x43, 0x8B, 0x1B, 0x85, 0x2C, 0x22, 0x01, 0x60, 0x13,
	0xA1, 0x0B, 0x25, 0xA3, 0x64, 0x80, 0x00, 0x02, 0xC0, 0x0F, 0x00, 0x6C,
	0x54, 0x55, 0xC0, 0x28, 0x45, 0x81, 0x42, 0x16, 0x27, 0x6E, 0x18, 0xE4,
	0xD9, 0xF2, 0xA5, 0x42, 0x39, 0x8B, 0x04, 0x3A, 0x12, 0x18, 0x2A, 0xCE,
	0x84, 0x96, 0x21, 0x05, 0xF9, 0x18, 0x81, 0x65, 0x24, 0x8D, 0x51, 0x06,
	0xE9, 0x90, 0xFC, 0x62, 0x45, 0xCE, 0x29, 0x83, 0xA8, 0x4C, 0x92, 0x4A,
	0x05, 0x20, 0x55, 0x27, 0x81, 0x25, 0x4A, 0x24, 0x38, 0xD9, 0x87, 0x46,
	0x22, 0x81, 0x9F, 0x4A, 0x7C, 0x39, 0x09, 0x80, 0x46, 0x87, 0x81, 0xA6,
	0x08, 0x03, 0x90, 0xA2, 0x11, 0xA3, 0xC7, 0x82, 0x4E, 0x37, 0xA6, 0x31,
	0x98, 0xE0, 0xB1, 0x62, 0x00, 0x66, 0x62, 0x5C, 0xC6, 0xF8, 0x45, 0x8A,
	0x55, 0xC5, 0x2E, 0x37, 0x8B, 0x0E, 0x99, 0xE3, 0xB3, 0xE2, 0xD2, 0xA6,
	0x09, 0xA7, 0x36, 0x18, 0x10, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00,
	0x00, 0x00, 0x2C, 0x01, 0x00, 0x02, 0x00, 0x1E, 0x00, 0x1D, 0x00, 0x00,
	0x08, 0xAA, 0x00, 0x01, 0x08, 0x1C, 0x48, 0xB0, 0x60, 0x41, 0x33, 0x06,
	0x13, 0x0E, 0x44, 0x28, 0x90, 0xE1, 0x41, 0x87, 0x0A, 0x1F, 0x46, 0x9C,
	0x48, 0xB1, 0xA2, 0xC5, 0x8B, 0x18, 0x33, 0x6A, 0xDC, 0xC8, 0xB1, 0x02,
	0x06, 0x8E, 0x0A, 0x4D, 0x91, 0x20, 0x31, 0xF0, 0x4A, 0x8C, 0x28, 0x20,
	0x05, 0x92, 0x14, 0xC8, 0x6A, 0x48, 0x88, 0x18, 0x09, 0xCD, 0x40, 0x24,
	0x18, 0x05, 0x10, 0x04, 0x83, 0xAA, 0xEC, 0xC4, 0xB9, 0xA1, 0x91, 0xC5,
	0x9B, 0x1B, 0x2B, 0x36, 0xCA, 0x34, 0x18, 0x25, 0x40, 0x84, 0x94, 0x1B,
	0x47, 0xE4, 0x40, 0x6A, 0xB0, 0x40, 0x9E, 0x09, 0x19, 0x69, 0x74, 0x30,
	0x48, 0x48, 0x60, 0x82, 0x11, 0x19, 0x41, 0x98, 0x30, 0x41, 0xB1, 0x15,
	0x46, 0x08, 0x20, 0x82, 0x16, 0x54, 0x13, 0x88, 0x29, 0x80, 0xA9, 0xAB,
	0x00, 0xF8, 0x81, 0x41, 0x03, 0x29, 0x1F, 0x11, 0x22, 0x04, 0xA6, 0x81,
	0x51, 0x02, 0x63, 0xDB, 0x82, 0x34, 0x1C, 0xDC, 0x14, 0xC8, 0xE7, 0x0B,
	0x46, 0x37, 0x09, 0x5F, 0x48, 0x21, 0x18, 0xC7, 0xE0, 0x4C, 0xB3, 0x00,
	0x0E, 0x27, 0x46, 0xBC, 0x50, 0x31, 0xE3, 0xC7, 0x90, 0x2B, 0x3A, 0x4E,
	0x39, 0x99, 0x60, 0x40, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00, 0x02,
	0x00, 0x2C, 0x03, 0x00, 0x03, 0x00, 0x1B, 0x00, 0x1B, 0x00, 0x00, 0x08,
	0x92, 0x00, 0x05, 0x08, 0x1C, 0x28, 0xD0, 0x0C, 0xC1, 0x83, 0x08, 0x13,
	0x12, 0x5C, 0xA1, 0x70, 0xA0, 0xC1, 0x86, 0x10, 0x0F, 0xDE, 0xB8, 0x11,
	0xB1, 0xA2, 0xC5, 0x8B, 0x18, 0x11, 0x06, 0xA8, 0x93, 0x51, 0x61, 0x14,
	0x0C, 0x6C, 0x4C, 0x74, 0x14, 0x68, 0xE3, 0x20, 0x00, 0x82, 0x69, 0xEC,
	0xB8, 0x4A, 0x28, 0xE5, 0xE0, 0x0E, 0x59, 0x0D, 0x5F, 0xC1, 0x2A, 0x92,
	0xD0, 0x8C, 0x03, 0x82, 0x6F, 0xEE, 0x8C, 0x4C, 0x18, 0x40, 0xE7, 0xCE,
	0x9F, 0x04, 0x31, 0x44, 0xB1, 0x28, 0x0A, 0x21, 0x16, 0xA0, 0x04, 0x0D,
	0xF8, 0x38, 0x8A, 0x54, 0x20, 0x99, 0x43, 0x10, 0x63, 0xED, 0xA0, 0xD0,
	0x54, 0x00, 0x04, 0x10, 0x55, 0x2B, 0x4A, 0xC8, 0x2A, 0x40, 0x82, 0x9A,
	0x96, 0x10, 0x65, 0x20, 0x6C, 0x81, 0x82, 0x20, 0x0C, 0x18, 0x10, 0xCD,
	0xC8, 0x00, 0x4B, 0xD0, 0xC6, 0x92, 0x83, 0x6A, 0x76, 0xD2, 0x88, 0x98,
	0x80, 0xEB, 0x05, 0xAE, 0x78, 0x33, 0x86, 0xC9, 0x91, 0x75, 0xC2, 0xC3,
	0x8A, 0x01, 0x01, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00, 0x00, 0x00,
	0x2C, 0x03, 0x00, 0x03, 0x00, 0x1B, 0x00, 0x1B, 0x00, 0x00, 0x08, 0x92,
	0x00, 0x01, 0x08, 0x1C, 0x48, 0xB0, 0xA0, 0xC1, 0x83, 0x07, 0xCD, 0x98,
	0x91, 0x83, 0xB0, 0x21, 0x42, 0x33, 0x3B, 0x1E, 0x9A, 0x71, 0xD8, 0x90,
	0x44, 0x41, 0x33, 0x01, 0x28, 0x1E, 0xE4, 0x54, 0x24, 0x8A, 0x46, 0x8D,
	0x45, 0x3E, 0x1E, 0x64, 0x21, 0x92, 0xE2, 0x8E, 0x59, 0x1A, 0x6B, 0x05,
	0x31, 0xA8, 0xD0, 0x81, 0x40, 0x4C, 0x54, 0x28, 0x7A, 0x08, 0x32, 0x20,
	0xE1, 0x44, 0x00, 0x1E, 0x4B, 0xEA, 0xDC, 0xB9, 0xB3, 0x02, 0xCB, 0x9B,
	0x3C, 0x09, 0x06, 0x50, 0x18, 0xB4, 0xA0, 0x18, 0x9F, 0x03, 0x71, 0x4C,
	0xD1, 0x59, 0x03, 0x21, 0x8C, 0x5B, 0xB4, 0x4A, 0x6E, 0x28, 0x55, 0xB4,
	0x60, 0x0C, 0x2C, 0x55, 0x35, 0x4A, 0x50, 0x93, 0x75, 0x20, 0xD1, 0xAE,
	0x00, 0xBE, 0x0E, 0xB4, 0x75, 0x70, 0xA9, 0xCE, 0x40, 0xB6, 0x3A, 0x14,
	0xCC, 0x32, 0xB0, 0x87, 0xD8, 0x86, 0x2F, 0x0E, 0xBA, 0x19, 0xA8, 0xE4,
	0x2D, 0xD8, 0x8F, 0x67, 0x26, 0xDC, 0xC5, 0x62, 0xB7, 0x28, 0x50, 0x8D,
	0x01, 0x01, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00, 0x02, 0x00, 0x2C,
	0x05, 0x00, 0x04, 0x00, 0x18, 0x00, 0x19, 0x00, 0x00, 0x08, 0x90, 0x00,
	0x05, 0x08, 0x1C, 0x28, 0xD0, 0x8C, 0x19, 0x82, 0x08, 0x13, 0x2A, 0x34,
	0x03, 0x42, 0x40, 0x00, 0x00, 0x0A, 0x23, 0x2A, 0x44, 0xE3, 0x22, 0x0A,
	0xC1, 0x83, 0x12, 0x15, 0xB2, 0xB8, 0x88, 0x31, 0x61, 0x84, 0x13, 0x19,
	0x05, 0xB2, 0xB8, 0x13, 0xF1, 0x08, 0xC9, 0x90, 0x0B, 0x15, 0x08, 0x60,
	0x80, 0x52, 0xA0, 0x18, 0x23, 0x78, 0x06, 0x1A, 0x6C, 0x49, 0x30, 0x49,
	0x1B, 0x9A, 0x38, 0x73, 0xEA, 0x44, 0x08, 0x68, 0x67, 0xC8, 0x83, 0x10,
	0x70, 0x48, 0xD9, 0x19, 0xC0, 0x20, 0x05, 0x96, 0x19, 0x55, 0x10, 0xD4,
	0x22, 0x30, 0xC8, 0x46, 0x2B, 0xB2, 0x76, 0xE2, 0xF2, 0x39, 0x70, 0xC2,
	0x99, 0x02, 0x02, 0xA5, 0x94, 0xD8, 0x39, 0x62, 0x42, 0xC1, 0x8E, 0x54,
	0x69, 0x4A, 0x08, 0x9B, 0xD3, 0x41, 0xAE, 0x8C, 0x71, 0xC0, 0x26, 0x74,
	0x20, 0x42, 0x21, 0x90, 0x46, 0x02, 0xD2, 0xA2, 0x2C, 0x30, 0x82, 0xE0,
	0x0B, 0x09, 0x2F, 0x70, 0x1A, 0x54, 0xAB, 0x93, 0xAF, 0xC4, 0x80, 0x00,
	0x21, 0xF9, 0x04, 0x05, 0x03, 0x00, 0x02, 0x00, 0x2C, 0x04, 0x00, 0x04,
	0x00, 0x18, 0x00, 0x19, 0x00, 0x00, 0x08, 0x92, 0x00, 0x05, 0x08, 0x1C,
	0x48, 0x70, 0x60, 0x14, 0x00, 0x51, 0x0A, 0x2A, 0x5C, 0x68, 0xC6, 0x8C,
	0x80, 0x3A, 0x41, 0x32, 0x2C, 0x2C, 0x18, 0xA0, 0xA0, 0x99, 0x15, 0x02,
	0x2B, 0x4E, 0x24, 0x08, 0xE5, 0xCD, 0xC6, 0x8F, 0x03, 0x2D, 0x78, 0x04,
	0xD9, 0x10, 0x24, 0x48, 0x16, 0x09, 0x2D, 0x9A, 0x99, 0x64, 0x92, 0xA0,
	0x07, 0x3C, 0x04, 0xCD, 0x80, 0x68, 0x29, 0xD0, 0x8E, 0x07, 0x23, 0x57,
	0x62, 0xD2, 0xDC, 0xC9, 0x73, 0x67, 0x05, 0x85, 0x10, 0x52, 0xF6, 0x1C,
	0xB8, 0x63, 0xC7, 0x50, 0x81, 0x0E, 0x21, 0x30, 0x38, 0x8A, 0xA1, 0xA4,
	0x00, 0x5D, 0x43, 0x25, 0x39, 0x14, 0xD0, 0x50, 0xC1, 0x51, 0xA4, 0x53,
	0x79, 0xF2, 0x38, 0x73, 0x55, 0x60, 0x0E, 0x32, 0x39, 0xBA, 0xEE, 0x14,
	0x6A, 0x52, 0x81, 0x88, 0x29, 0x1B, 0x8D, 0x38, 0x5D, 0x28, 0x82, 0x09,
	0x0A, 0x01, 0x13, 0xB2, 0x0A, 0x9C, 0xA1, 0x66, 0xED, 0x47, 0xBB, 0x6A,
	0x74, 0x88, 0x6D, 0x00, 0x43, 0xAC, 0x94, 0x8D, 0x01, 0x01, 0x00, 0x21,
	0xF9, 0x04, 0x05, 0x03, 0x00, 0x00, 0x00, 0x2C, 0x03, 0x00, 0x03, 0x00,
	0x1A, 0x00, 0x1B, 0x00, 0x00, 0x08, 0xA1, 0x00, 0x01, 0x08, 0x1C, 0x48,
	0xB0, 0xA0, 0x40, 0x16, 0x06, 0x13, 0x2A, 0x1C, 0x18, 0x64, 0xC0, 0x42,
	0x82, 0x19, 0xDE, 0x2C, 0x24, 0x81, 0xF0, 0xA1, 0xC0, 0x1F, 0x16, 0x0A,
	0x56, 0xB4, 0x68, 0xF0, 0x4E, 0xC1, 0x1F, 0x75, 0x38, 0x72, 0xE4, 0x25,
	0xB2, 0x64, 0x41, 0x33, 0x66, 0x1E, 0x62, 0xE4, 0xF8, 0xCA, 0xC8, 0xC3,
	0x0C, 0x22, 0x6B, 0xA9, 0x12, 0xF8, 0xA0, 0x57, 0x1B, 0x93, 0x0A, 0x63,
	0x34, 0x89, 0x83, 0xF3, 0x21, 0x88, 0x15, 0x3D, 0x13, 0xEE, 0x60, 0x90,
	0x72, 0xA1, 0x23, 0x8E, 0x10, 0x18, 0x08, 0x2C, 0x1A, 0xB4, 0xE0, 0xA9,
	0x87, 0x84, 0x08, 0x92, 0x21, 0x93, 0xC3, 0xA0, 0x09, 0x06, 0x4A, 0x45,
	0x7E, 0xD0, 0x42, 0x26, 0x21, 0xD3, 0xA6, 0x60, 0xC3, 0x26, 0xDC, 0x32,
	0x42, 0xAC, 0x40, 0x2D, 0x3C, 0x16, 0x8E, 0x50, 0x63, 0x70, 0x97, 0x84,
	0x82, 0x13, 0x26, 0x14, 0x6C, 0xD1, 0x42, 0x20, 0x13, 0x1B, 0x06, 0x25,
	0xBC, 0xB5, 0x68, 0x43, 0xC0, 0xC0, 0xAF, 0x03, 0x11, 0x98, 0x1D, 0x0C,
	0x80, 0xC6, 0x8C, 0xC1, 0x0D, 0x1A, 0x0C, 0xA6, 0xF1, 0xE5, 0x61, 0x40,
	0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00, 0x00, 0x00, 0x2C, 0x03, 0x00,
	0x03, 0x00, 0x1A, 0x00, 0x1B, 0x00, 0x00, 0x08, 0x96, 0x00, 0x01, 0x08,
	0x1C, 0x48, 0xB0, 0xA0, 0xC0, 0x0C, 0x06, 0x13, 0x02, 0x88, 0xA2, 0x50,
	0x60, 0x91, 0x86, 0x05, 0xA9, 0x04, 0x68, 0xC8, 0x10, 0xA2, 0xC0, 0x08,
	0x0D, 0x59, 0x58, 0xDC, 0xC8, 0x71, 0x23, 0x1A, 0x0C, 0x15, 0x3B, 0x26,
	0x1C, 0xB0, 0x42, 0x8E, 0xC8, 0x81, 0x51, 0x5E, 0x14, 0x34, 0x41, 0x50,
	0x09, 0xC7, 0x0C, 0x22, 0x1A, 0x66, 0x49, 0x81, 0x87, 0xE0, 0x85, 0x93,
	0x02, 0x2B, 0x04, 0x30, 0x33, 0x30, 0x44, 0x08, 0x9C, 0x00, 0xDE, 0x20,
	0x2C, 0xB8, 0x03, 0x28, 0xC5, 0x81, 0x5F, 0x0C, 0x8A, 0xDA, 0x88, 0x83,
	0xA0, 0x14, 0x04, 0x46, 0x09, 0x2E, 0xC0, 0x21, 0xA3, 0xA3, 0x81, 0xA8,
	0x03, 0x49, 0xE4, 0x20, 0x83, 0x35, 0x27, 0xCF, 0xAE, 0x27, 0x73, 0x80,
	0x15, 0x68, 0xC6, 0x0D, 0x41, 0x3B, 0x37, 0x71, 0x5A, 0x71, 0x30, 0x90,
	0x67, 0x0C, 0x18, 0x06, 0x0B, 0x8C, 0x20, 0x48, 0x23, 0x66, 0xC3, 0xAF,
	0x16, 0x97, 0x30, 0x19, 0xCB, 0xB7, 0xAF, 0x45, 0x05, 0x40, 0xF8, 0x42,
	0x85, 0x18, 0x10, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00, 0x00, 0x00,
	0x2C, 0x02, 0x00, 0x02, 0x00, 0x1D, 0x00, 0x1D, 0x00, 0x00, 0x08, 0xB0,
	0x00, 0x01, 0x08, 0x1C, 0x28, 0x90, 0x05, 0x0B, 0x82, 0x08, 0x13, 0x2A,
	0x4C, 0x18, 0x60, 0xE1, 0xC0, 0x83, 0x0E, 0x23, 0x2E, 0x6C, 0x28, 0xB1,
	0x22, 0x00, 0x88, 0x16, 0x01, 0xFC, 0x70, 0x48, 0x31, 0xA3, 0xC7, 0x8F,
	0x0E, 0xCD, 0x80, 0x8C, 0xC8, 0xC2, 0x8C, 0xC8, 0x91, 0x02, 0x4D, 0x5E,
	0x29, 0x88, 0xC3, 0x4A, 0x45, 0x2B, 0x38, 0x14, 0x46, 0x79, 0x41, 0x70,
	0x41, 0x02, 0x00, 0x1E, 0x50, 0xB2, 0xE8, 0x20, 0x42, 0x20, 0x20, 0x82,
	0x31, 0x56, 0x82, 0xEC, 0x48, 0x30, 0x43, 0x49, 0x94, 0x09, 0x4F, 0xDC,
	0x08, 0x70, 0x92, 0x60, 0x82, 0x18, 0x0A, 0xCD, 0x28, 0x70, 0x98, 0xE6,
	0xA3, 0x19, 0x29, 0x34, 0x4A, 0x20, 0x4D, 0x88, 0x03, 0x07, 0x84, 0x84,
	0x2A, 0x04, 0x4E, 0xD8, 0x9A, 0x70, 0x4F, 0x00, 0x2C, 0x23, 0x3F, 0x29,
	0x0C, 0x70, 0x45, 0x64, 0x0E, 0x8F, 0x52, 0x26, 0x8C, 0x18, 0xE8, 0x8B,
	0x46, 0xCA, 0x91, 0x66, 0xB0, 0xD0, 0x04, 0x10, 0xA7, 0x8D, 0x1B, 0xB2,
	0x2E, 0x05, 0x9A, 0xBA, 0xF2, 0x25, 0xE3, 0x54, 0x89, 0x57, 0x33, 0x4A,
	0x21, 0xCB, 0x98, 0x60, 0x0E, 0xB4, 0x8D, 0x07, 0xBE, 0x8D, 0x4C, 0x99,
	0xEC, 0xDF, 0xCA, 0x2F, 0x16, 0x67, 0x0C, 0x08, 0x00, 0x21, 0xF9, 0x04,
	0x05, 0x03, 0x00, 0x00, 0x00, 0x2C, 0x02, 0x00, 0x01, 0x00, 0x1E, 0x00,
	0x1F, 0x00, 0x00, 0x08, 0xC8, 0x00, 0x01, 0x08, 0x1C, 0x38, 0x30, 0x4A,
	0x06, 0x82, 0x08, 0x13, 0x2A, 0x4C, 0x68, 0x01, 0xCA, 0xC2, 0x87, 0x10,
	0x01, 0xDC, 0x60, 0x01, 0xB1, 0x42, 0x80, 0x88, 0x18, 0x11, 0x0E, 0xD8,
	0x70, 0x31, 0x23, 0xC4, 0x28, 0x03, 0x3B, 0x7A, 0x1C, 0x49, 0xB2, 0xA4,
	0xC9, 0x93, 0x28, 0x13, 0x9A, 0x58, 0x90, 0xD1, 0xCC, 0x95, 0x8C, 0x3B,
	0x4C, 0x2C, 0x34, 0xC3, 0x02, 0x03, 0x00, 0x16, 0x14, 0x53, 0x0A, 0x8C,
	0x42, 0xCA, 0xE6, 0x8A, 0x3F, 0x43, 0x92, 0xE8, 0x04, 0x00, 0x61, 0x11,
	0x00, 0x50, 0xAE, 0x04, 0xC6, 0x30, 0x33, 0x74, 0xE0, 0x9E, 0x0A, 0x31,
	0xB0, 0x28, 0xEC, 0x91, 0x85, 0x20, 0xD3, 0x82, 0x01, 0x00, 0x25, 0x8C,
	0x33, 0x62, 0x61, 0x82, 0x07, 0x71, 0x14, 0x9A, 0x31, 0xF3, 0xA2, 0x43,
	0xC9, 0x97, 0x10, 0x41, 0x20, 0xDC, 0xC3, 0x2A, 0x46, 0x0E, 0x94, 0x2C,
	0x09, 0x66, 0x62, 0x65, 0xEA, 0x6A, 0x49, 0x08, 0x10, 0xF8, 0x7C, 0x3A,
	0xB5, 0xAA, 0x47, 0x89, 0x12, 0x6E, 0xEC, 0x92, 0x1C, 0x6B, 0x0A, 0x80,
	0x08, 0x56, 0xA4, 0x9A, 0x9A, 0xC1, 0x21, 0x10, 0x87, 0x94, 0x91, 0x66,
	0x23, 0x4A, 0x11, 0x0C, 0xF1, 0x05, 0x93, 0x29, 0x4D, 0x09, 0xD2, 0x88,
	0x9C, 0xB9, 0xB3, 0x67, 0x03, 0x06, 0x3C, 0x03, 0x28, 0xD0, 0x55, 0x74,
	0x49, 0x29, 0x32, 0x44, 0x37, 0x98, 0x21, 0x5A, 0xC1, 0x63, 0x92, 0x01,
	0x01, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00, 0x00, 0x00, 0x2C, 0x01,
	0x00, 0x01, 0x00, 0x1F, 0x00, 0x1F, 0x00, 0x00, 0x08, 0xBF, 0x00, 0x01,
	0x08, 0x1C, 0x48, 0x10, 0x40, 0x04, 0x0B, 0x2C, 0x0A, 0x2A, 0x5C, 0xC8,
	0x50, 0x20, 0x95, 0x08, 0x51, 0x1A, 0x4A, 0x9C, 0x48, 0xB1, 0xA2, 0x45,
	0x81, 0x5C, 0x5C, 0x54, 0xB8, 0xD8, 0x30, 0xA1, 0xC0, 0x0A, 0x03, 0x48,
	0x70, 0x1C, 0x49, 0x72, 0x24, 0x04, 0x08, 0x25, 0x25, 0x9A, 0xD8, 0x91,
	0xB2, 0xE1, 0x0E, 0x0A, 0x2D, 0x05, 0x5E, 0x49, 0x39, 0x33, 0xE6, 0xC0,
	0x84, 0x18, 0x02, 0x24, 0xB0, 0x39, 0x30, 0x00, 0x06, 0x12, 0x18, 0x2E,
	0x0C, 0x49, 0xC3, 0x13, 0xC0, 0x8D, 0x47, 0x6C, 0x5C, 0xC5, 0x89, 0x91,
	0xE3, 0x62, 0xC4, 0x82, 0x27, 0x6E, 0x0C, 0x5C, 0x13, 0x67, 0x84, 0x44,
	0x2F, 0x3D, 0x24, 0x5A, 0x09, 0x00, 0x62, 0xA0, 0xAB, 0x1E, 0x7D, 0x24,
	0x1A, 0x69, 0x42, 0x51, 0x0E, 0x00, 0x4D, 0x95, 0x56, 0xA5, 0x72, 0xD3,
	0x94, 0xE1, 0x90, 0x0B, 0x14, 0x41, 0xF8, 0xF1, 0x84, 0xCA, 0x53, 0x09,
	0x1A, 0x52, 0x6C, 0xE2, 0x80, 0xD0, 0xA2, 0x03, 0x8D, 0xA2, 0x00, 0xAC,
	0x08, 0x84, 0xF0, 0xE2, 0xA2, 0x08, 0xC1, 0x12, 0x5B, 0x70, 0x94, 0xC2,
	0x04, 0x05, 0xE0, 0x81, 0x1D, 0x04, 0x3C, 0x9E, 0x7C, 0x31, 0x2F, 0xE5,
	0xCB, 0x15, 0x47, 0x6C, 0xA1, 0x6C, 0xA0, 0x00, 0x66, 0x8E, 0x25, 0xC0,
	0x74, 0x99, 0xFC, 0x82, 0xC6, 0xDF, 0x91, 0x01, 0x01, 0x00, 0x21, 0xF9,
	0x04, 0x05, 0x03, 0x00, 0x01, 0x00, 0x2C, 0x01, 0x00, 0x00, 0x00, 0x1F,
	0x00, 0x20, 0x00, 0x00, 0x08, 0x98, 0x00, 0x03, 0x08, 0x1C, 0x48, 0x70,
	0x60, 0x86, 0x0C, 0x05, 0x13, 0x2A, 0x5C, 0x28, 0x90, 0xCA, 0x98, 0x08,
	0x0C, 0x23, 0x46, 0x64, 0x21, 0xB1, 0xA2, 0xC5, 0x8B, 0x18, 0x33, 0x6A,
	0x4C, 0xC8, 0x05, 0xC0, 0x46, 0x89, 0x18, 0x3C, 0x16, 0x34, 0x01, 0xE2,
	0x23, 0xC3, 0x15, 0x55, 0x56, 0x98, 0x64, 0xC8, 0x60, 0xA5, 0x4B, 0x89,
	0x66, 0x5E, 0xCA, 0x9C, 0xA9, 0xB0, 0x42, 0x80, 0x38, 0x01, 0x2E, 0xD0,
	0x3C, 0xF1, 0x83, 0xD0, 0x90, 0x1E, 0x1A, 0x63, 0x2A, 0x8C, 0x00, 0xA5,
	0xD4, 0x05, 0x41, 0x18, 0x21, 0x9C, 0x5C, 0xF4, 0x8B, 0x50, 0x1B, 0x1F,
	0x34, 0x17, 0xE8, 0x6A, 0xA4, 0x46, 0x86, 0xC4, 0x2C, 0x1E, 0x2C, 0x82,
	0x10, 0x11, 0xA8, 0x84, 0x1A, 0x89, 0x21, 0xB2, 0xBA, 0x9C, 0x90, 0xF0,
	0x8A, 0x03, 0x11, 0x34, 0x07, 0x3A, 0x60, 0xF2, 0x22, 0x6D, 0x5A, 0xA8,
	0x6E, 0xE3, 0x7E, 0x14, 0x2A, 0xB7, 0xAE, 0xDD, 0x85, 0x3E, 0xC2, 0x64,
	0x5C, 0x42, 0x43, 0x22, 0x99, 0x02, 0x19, 0x1B, 0x74, 0xA9, 0x6B, 0x75,
	0x63, 0x40, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00, 0x01, 0x00, 0x2C,
	0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x20, 0x00, 0x00, 0x08, 0x8D, 0x00,
	0x03, 0x08, 0x1C, 0x48, 0xB0, 0xE0, 0x8D, 0x1B, 0x05, 0x13, 0x2A, 0x5C,
	0x48, 0x90, 0x8A, 0x05, 0x86, 0x10, 0x23, 0x4A, 0x9C, 0x48, 0xB1, 0xA2,
	0xC5, 0x8B, 0x14, 0xA3, 0x50, 0x84, 0xC0, 0x60, 0x85, 0xC0, 0x08, 0x18,
	0xC5, 0x90, 0x48, 0xB8, 0x83, 0x01, 0x46, 0x82, 0x24, 0x06, 0x9C, 0x5C,
	0xC9, 0xB2, 0xA5, 0xCB, 0x97, 0x30, 0x63, 0xCA, 0x14, 0x88, 0x01, 0x80,
	0x0A, 0x3C, 0x27, 0x35, 0x2E, 0x24, 0x41, 0xE7, 0x90, 0x0F, 0x8B, 0x38,
	0x14, 0xEA, 0x44, 0x24, 0xC7, 0x0F, 0x81, 0x99, 0x01, 0x30, 0x05, 0xAA,
	0x28, 0xA5, 0xC3, 0xCC, 0x2C, 0x01, 0x14, 0x1C, 0x50, 0x70, 0xF1, 0x05,
	0x43, 0x0E, 0x21, 0x02, 0x30, 0x11, 0x22, 0x33, 0x45, 0x1B, 0xA4, 0x60,
	0x79, 0x80, 0x1D, 0x7B, 0x52, 0x0A, 0xD9, 0xB3, 0x68, 0x5F, 0xCA, 0x00,
	0x02, 0x03, 0xE2, 0x04, 0x32, 0x5B, 0x2C, 0xBE, 0x80, 0x01, 0x04, 0x22,
	0x16, 0x03, 0x13, 0x56, 0xD2, 0x38, 0x19, 0x10, 0x00, 0x21, 0xF9, 0x04,
	0x05, 0x03, 0x00, 0x00, 0x00, 0x2C, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00,
	0x20, 0x00, 0x00, 0x08, 0xA8, 0x00, 0x01, 0x08, 0x1C, 0x48, 0xB0, 0xA0,
	0xC0, 0x13, 0x2C, 0x0C, 0x2A, 0x5C, 0xB8, 0x90, 0x8A, 0x93, 0x3B, 0x0C,
	0x23, 0x4A, 0x04, 0x90, 0x70, 0xA2, 0xC5, 0x8B, 0x18, 0x33, 0x46, 0x84,
	0xC0, 0x00, 0x84, 0xC5, 0x8A, 0x17, 0x77, 0x58, 0x01, 0xF0, 0x43, 0xA3,
	0xC9, 0x8C, 0x62, 0x32, 0x9C, 0x94, 0xE8, 0xA2, 0xE4, 0x4A, 0x86, 0x20,
	0x5F, 0xCA, 0x2C, 0x18, 0x63, 0xA6, 0xCD, 0x8F, 0x00, 0x2A, 0x24, 0xE8,
	0x71, 0x53, 0x60, 0x86, 0x00, 0x01, 0x62, 0xA4, 0x49, 0x73, 0x13, 0xD0,
	0xCF, 0x28, 0x57, 0x72, 0x4C, 0xB8, 0x89, 0x23, 0x00, 0x0E, 0x33, 0x66,
	0xB0, 0x4C, 0x18, 0x31, 0xB1, 0x03, 0x0A, 0x89, 0x20, 0x20, 0x58, 0x91,
	0xE2, 0x46, 0x81, 0xC5, 0x25, 0x02, 0x26, 0x42, 0x80, 0xA0, 0x80, 0x46,
	0x89, 0x9E, 0x02, 0x97, 0x00, 0xF0, 0x5A, 0x30, 0x07, 0x5A, 0x86, 0x09,
	0x88, 0x5C, 0x18, 0x38, 0xD2, 0xE6, 0x85, 0x39, 0x6F, 0x07, 0x5E, 0xC9,
	0xCB, 0xD7, 0xA4, 0x99, 0xBE, 0x80, 0xD1, 0x96, 0x90, 0x20, 0x25, 0xEF,
	0x92, 0x19, 0x33, 0x22, 0x62, 0xA1, 0x9A, 0xD7, 0x00, 0x12, 0x99, 0x32,
	0x14, 0x62, 0x91, 0x18, 0x10, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00,
	0x00, 0x00, 0x2C, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x20, 0x00, 0x00,
	0x07, 0xB3, 0x80, 0x00, 0x82, 0x83, 0x84, 0x85, 0x86, 0x87, 0x88, 0x89,
	0x85, 0x4E, 0x50, 0x2C, 0x8A, 0x8F, 0x88, 0x27, 0x6F, 0x90, 0x94, 0x95,
	0x8A, 0x56, 0x26, 0x0B, 0x96, 0x96, 0x0C, 0x72, 0x90, 0x51, 0x9B, 0xA1,
	0xA2, 0xA3, 0xA4, 0x94, 0x1F, 0x03, 0xA5, 0x89, 0x24, 0x41, 0xA9, 0x88,
	0x01, 0x3F, 0xA2, 0x8E, 0xAD, 0x84, 0x57, 0x15, 0x19, 0x57, 0x31, 0x17,
	0x78, 0xB3, 0x00, 0x51, 0x57, 0x57, 0x66, 0x31, 0x09, 0x09, 0x57, 0xA9,
	0x37, 0x15, 0x2C, 0x66, 0xCA, 0x66, 0xBF, 0x58, 0x90, 0x1D, 0x83, 0x66,
	0x85, 0x2C, 0x01, 0x51, 0xCB, 0xCA, 0x39, 0x13, 0x13, 0x8A, 0x0A, 0x07,
	0x0A, 0x89, 0xD6, 0xD2, 0x00, 0xD8, 0x23, 0x90, 0x02, 0x8A, 0x10, 0x56,
	0xD7, 0x66, 0xCE, 0xAD, 0x20, 0x38, 0xCB, 0x52, 0x2F, 0x2F, 0xB3, 0x38,
	0x56, 0x56, 0xF6, 0x5F, 0x32, 0x4B, 0xBC, 0x00, 0x10, 0x4B, 0x38, 0xA4,
	0x00, 0x80, 0xF1, 0xA8, 0xCD, 0x20, 0x7A, 0x8F, 0x5E, 0x88, 0x4B, 0x14,
	0xE2, 0xC9, 0xA6, 0x6F, 0x8F, 0xE2, 0x10, 0xB9, 0xD0, 0x8F, 0x90, 0xC1,
	0x8A, 0x18, 0x33, 0x8E, 0x42, 0x20, 0x41, 0xA3, 0x0C, 0x1D, 0x1A, 0x43,
	0x52, 0xCA, 0x11, 0x66, 0x4B, 0x2B, 0x1A, 0x85, 0xB0, 0x68, 0x7B, 0x14,
	0x08, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00, 0x00, 0x00, 0x2C, 0x00,
	0x00, 0x00, 0x00, 0x20, 0x00, 0x20, 0x00, 0x00, 0x08, 0xC5, 0x00, 0x01,
	0x08, 0x1C, 0x48, 0xB0, 0xA0, 0xC1, 0x83, 0x08, 0x13, 0x1E, 0xCC, 0xA0,
	0xB0, 0x61, 0xC2, 0x23, 0x4E, 0x4E, 0x38, 0x34, 0x08, 0xA1, 0x61, 0x04,
	0x16, 0x13, 0x09, 0x6A, 0xD0, 0x90, 0xB1, 0x23, 0x80, 0x05, 0x0E, 0x31,
	0x7A, 0x1C, 0x49, 0xB2, 0xA4, 0xC9, 0x93, 0x28, 0x49, 0x46, 0xC1, 0x40,
	0x42, 0xA0, 0x19, 0x84, 0x57, 0x00, 0x70, 0x11, 0xE9, 0x30, 0x0A, 0x8B,
	0x18, 0x51, 0xCC, 0x5C, 0x69, 0x93, 0x70, 0x43, 0x80, 0x86, 0x6F, 0x00,
	0x98, 0x19, 0x4A, 0xF4, 0x4A, 0x1A, 0x94, 0x6F, 0x4E, 0xE4, 0x1C, 0x2A,
	0x54, 0xE7, 0x44, 0x11, 0x22, 0x10, 0x06, 0xC8, 0x49, 0x90, 0xE8, 0x4B,
	0x85, 0x36, 0x1C, 0x08, 0x8C, 0x52, 0x95, 0x68, 0xC1, 0xA1, 0x39, 0x4E,
	0x32, 0xFD, 0x8A, 0x65, 0x44, 0x1E, 0x92, 0x56, 0x00, 0x58, 0x19, 0x3B,
	0x90, 0x2D, 0x49, 0x13, 0x2B, 0xA8, 0xBA, 0xF4, 0x8A, 0xD2, 0x2A, 0x51,
	0x29, 0x52, 0x52, 0x0A, 0xC5, 0x3B, 0xF4, 0xCB, 0x12, 0x05, 0x0A, 0x2F,
	0x0C, 0x4C, 0x8B, 0xF0, 0xC5, 0xDF, 0x97, 0x2F, 0x60, 0x94, 0xD0, 0xDB,
	0xB6, 0xE1, 0x05, 0x2F, 0x8C, 0x09, 0x1E, 0x22, 0x92, 0x22, 0xF2, 0xC0,
	0x2B, 0x82, 0x11, 0xB6, 0x28, 0x98, 0x37, 0x65, 0x89, 0x19, 0x2F, 0x2C,
	0x0B, 0x94, 0x02, 0x44, 0xB4, 0xE9, 0xD3, 0x25, 0x0D, 0x6C, 0x41, 0x3D,
	0x61, 0x62, 0x40, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00, 0x01, 0x00,
	0x2C, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x20, 0x00, 0x00, 0x07, 0x88,
	0x80, 0x01, 0x82, 0x83, 0x84, 0x85, 0x86, 0x87, 0x88, 0x89, 0x8A, 0x8B,
	0x8C, 0x8D, 0x8E, 0x8F, 0x90, 0x01, 0x38, 0x91, 0x94, 0x95, 0x96, 0x97,
	0x98, 0x99, 0x99, 0x66, 0x19, 0x00, 0x57, 0x9A, 0x84, 0x66, 0x66, 0x51,
	0x66, 0x82, 0x66, 0x09, 0x49, 0x85, 0xA5, 0x8E, 0xA5, 0xA2, 0xA2, 0x01,
	0xA2, 0x69, 0x21, 0x87, 0x62, 0x8C, 0x37, 0x51, 0x86, 0xA2, 0x57, 0x9F,
	0x94, 0x2C, 0xA4, 0xAB, 0xA1, 0xC0, 0x8A, 0x0E, 0xB9, 0xAE, 0x9A, 0xC2,
	0x8B, 0xC6, 0x8A, 0x10, 0x90, 0xA2, 0x58, 0x95, 0xAF, 0x88, 0x66, 0x13,
	0x06, 0x91, 0x26, 0x56, 0xD1, 0x87, 0xC8, 0x8E, 0xA4, 0xDA, 0xDB, 0xD0,
	0xAB, 0xCA, 0x88, 0x6D, 0x83, 0x2F, 0x89, 0xCA, 0x66, 0x5F, 0x2F, 0xDF,
	0x8F, 0x52, 0x4B, 0x0A, 0xAB, 0x52, 0x08, 0x30, 0x86, 0x3E, 0x94, 0x1D,
	0xEC, 0x83, 0x35, 0xA0, 0x9B, 0xFC, 0xFE, 0xFF, 0x00, 0x03, 0x0A, 0xB4,
	0x24, 0xA3, 0x52, 0x20, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00, 0x02,
	0x00, 0x2C, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x20, 0x00, 0x00, 0x07,
	0x88, 0x80, 0x02, 0x82, 0x83, 0x84, 0x85, 0x86, 0x87, 0x88, 0x89, 0x8A,
	0x8B, 0x8C, 0x8D, 0x8E, 0x8F, 0x90, 0x83, 0x14, 0x56, 0x91, 0x95, 0x84,
	0x51, 0x02, 0x11, 0x19, 0x90, 0x11, 0x89, 0x2C, 0x96, 0xA0, 0xA0, 0x66,
	0x01, 0x15, 0xA1, 0x88, 0x66, 0xA8, 0xA6, 0x99, 0x47, 0x85, 0x66, 0x84,
	0xA8, 0x21, 0x8D, 0x52, 0x84, 0x6F, 0x98, 0xA7, 0x66, 0x17, 0x8C, 0x1D,
	0x22, 0xAF, 0xA9, 0x87, 0xA8, 0xAE, 0x91, 0xBE, 0xAA, 0xC4, 0x00, 0x2A,
	0x87, 0xB6, 0xC4, 0x83, 0x38, 0x95, 0xC0, 0x90, 0xC1, 0x8A, 0xA8, 0x3C,
	0x8F, 0x0B, 0xC3, 0x89, 0x58, 0xCF, 0xD6, 0x89, 0x13, 0xCA, 0x8D, 0xB9,
	0xCD, 0xD0, 0xA2, 0xC3, 0xCE, 0x85, 0xD3, 0x88, 0x12, 0x2F, 0x85, 0x22,
	0x52, 0xD0, 0x66, 0x25, 0x6A, 0xC4, 0x34, 0x8B, 0xDF, 0x90, 0xB3, 0x8B,
	0x49, 0xDD, 0xF9, 0xFA, 0x83, 0x13, 0x23, 0xFB, 0x02, 0x04, 0xB8, 0xFD,
	0xDB, 0x27, 0xAF, 0x52, 0x20, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00,
	0x00, 0x00, 0x2C, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x20, 0x00, 0x00,
	0x07, 0x9B, 0x80, 0x00, 0x82, 0x83, 0x84, 0x85, 0x86, 0x87, 0x88, 0x89,
	0x8A, 0x8B, 0x8C, 0x8D, 0x8E, 0x8F, 0x90, 0x84, 0x1A, 0x0B, 0x91, 0x8D,
	0x20, 0x20, 0x86, 0x2C, 0x00, 0x50, 0x11, 0x90, 0x3F, 0x86, 0x66, 0x03,
	0x00, 0x01, 0x83, 0x11, 0x16, 0x95, 0x85, 0x66, 0x9A, 0x84, 0x01, 0xA4,
	0xA8, 0x83, 0x66, 0x66, 0xAF, 0x83, 0x50, 0x6F, 0xB3, 0x89, 0x01, 0x2C,
	0xB2, 0x8A, 0x66, 0x3D, 0x8C, 0x28, 0x28, 0x82, 0xB1, 0xBB, 0x89, 0x66,
	0x09, 0x49, 0x8B, 0x36, 0x1D, 0xB7, 0xCC, 0xCD, 0x91, 0xA2, 0xCE, 0x84,
	0x24, 0x1B, 0x15, 0xD1, 0x83, 0x01, 0x18, 0x8A, 0x38, 0xC4, 0x8C, 0xB1,
	0x8C, 0x72, 0xDE, 0x8D, 0xB1, 0x23, 0xD6, 0x83, 0x58, 0xE5, 0x8E, 0x56,
	0x00, 0x30, 0x34, 0xCC, 0x73, 0x86, 0x60, 0xED, 0xE8, 0x00, 0x6E, 0x84,
	0xC3, 0xA9, 0xDC, 0x95, 0x53, 0xE1, 0x83, 0x2F, 0xBB, 0x69, 0x17, 0x50,
	0xE5, 0x03, 0x00, 0xA4, 0x84, 0x20, 0x3B, 0x65, 0x42, 0xCC, 0x9B, 0x35,
	0xC2, 0xC7, 0x3C, 0x1F, 0x5B, 0x1C, 0x2E, 0x9C, 0x58, 0x4E, 0x06, 0xAA,
	0x40, 0x00, 0x21, 0xF9, 0x04, 0x05, 0x03, 0x00, 0x01, 0x00, 0x2C, 0x00,
	0x00, 0x00, 0x00, 0x20, 0x00, 0x20, 0x00, 0x00, 0x07, 0x94, 0x80, 0x01,
	0x82, 0x83, 0x84, 0x85, 0x86, 0x87, 0x88, 0x89, 0x8A, 0x8B, 0x8C, 0x8D,
	0x8E, 0x8F, 0x90, 0x85, 0x14, 0x10, 0x91, 0x8D, 0x0C, 0x0C, 0x01, 0x66,
	0x3F, 0x82, 0x51, 0x95, 0x87, 0x94, 0x66, 0x2C, 0x2C, 0x9E, 0x8A, 0x66,
	0x66, 0x84, 0x19, 0x4E, 0x90, 0x11, 0x27, 0x8C, 0x2C, 0x50, 0x90, 0xA6,
	0xA4, 0x87, 0x1D, 0x0E, 0x52, 0xB2, 0x8C, 0xA6, 0x49, 0x8B, 0x02, 0x36,
	0x0A, 0x8F, 0xA6, 0x4D, 0xB3, 0xC3, 0xC4, 0xC5, 0x91, 0xA7, 0xA4, 0x00,
	0xA5, 0x9E, 0x18, 0x5C, 0x24, 0x88, 0x0B, 0xB8, 0x90, 0x15, 0xCF, 0x88,
	0xD2, 0xC0, 0x8B, 0x52, 0x95, 0xA6, 0x58, 0x8A, 0x12, 0x12, 0x95, 0x23,
	0x85, 0x6D, 0x83, 0x2F, 0x01, 0x40, 0x08, 0xC4, 0x4F, 0x87, 0x32, 0xC6,
	0xEE, 0x90, 0x0A, 0xC8, 0x85, 0xC8, 0x17, 0x17, 0x95, 0x2D, 0xF2, 0x84,
	0xB2, 0x46, 0x0F, 0xA4, 0x23, 0x05, 0x84, 0x4A, 0x48, 0xC8, 0xE7, 0x69,
	0xC2, 0x96, 0x77, 0x84, 0x78, 0x20, 0x5C, 0xC8, 0xF0, 0x10, 0x0D, 0x4F,
	0x81, 0x00, 0x00, 0x3B
};


#endif